# Tags

## List tags categories

> Retrieve a list of tag categories

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"TagCategoryList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/TagCategory"}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.","type":"string"},"total":{"description":"The total number of results across all pages.","type":"integer"}},"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/tags/categories":{"get":{"description":"Retrieve a list of tag categories","operationId":"listTagsCategories","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TagCategoryList"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"List tags categories","tags":["tagCategory"]}}}}
```

## Create new tag category

> Create a new category to organize tags based on specific attributes or characteristics.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateTagCategory":{"type":"object","additionalProperties":false,"required":["name","emoji"],"properties":{"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"emoji":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/tags/categories":{"post":{"description":"Create a new category to organize tags based on specific attributes or characteristics.","operationId":"createTagCategory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTagCategory"}}}},"responses":{"201":{"description":"created"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create new tag category","tags":["tagCategory"]}}}}
```

## Get tag category

> Retrieve information about a specific tag category, including its name, description.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/tags/categories/{categoryId}":{"get":{"description":"Retrieve information about a specific tag category, including its name, description.","operationId":"getTagCategory","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategory"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get tag category","tags":["tagCategory"]}}}}
```

## Update tag category

> Modify the details of a specific tag category, such as its name, description.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateTagCategory":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"emoji":{"type":"string"}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/tags/categories/{categoryId}":{"patch":{"description":"Modify the details of a specific tag category, such as its name, description.","operationId":"updateTagCategory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTagCategory"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagCategory"}}},"description":"updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update tag category","tags":["tagCategory"]}}}}
```

## Delete tag category

> Remove a specific tag category.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/tags/categories/{categoryId}":{"delete":{"description":"Remove a specific tag category.","operationId":"deleteTagCategory","responses":{"204":{"description":"Deleted"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Delete tag category","tags":["tagCategory"]}}}}
```

## List tags

> Retrieve a list of all tags associated with a specific category.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Tags are used to be associated with different entities, like agents and feed items.","name":"tag"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}},"queryTagName":{"description":"Filter by tag name begins with","in":"query","name":"name","schema":{"type":"string"}},"queryTagNameExact":{"description":"Filter by tag name exact match","in":"query","name":"nameExact","schema":{"type":"string"}},"queryTagCategoryId":{"description":"Filter by tag category ID","in":"query","name":"categoryId","schema":{"format":"uuid","type":"string"}},"queryTagStatus":{"description":"Filter by tag status","in":"query","name":"status","schema":{"$ref":"#/components/schemas/status"}},"queryTagIncludeDeleted":{"description":"Will also return deleted tags","in":"query","name":"includeDeleted","schema":{"type":"boolean"}},"queryTagSortBy":{"description":"Sort by field specified","in":"query","name":"sortBy","schema":{"enum":["createdAt","name"],"type":"string"}}},"schemas":{"status":{"type":"string","enum":["draft","active","deleted"]},"TagList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}}},"Tag":{"type":"object","additionalProperties":true,"required":["id","name","description","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active","deleted"]},"category":{"$ref":"#/components/schemas/TagCategory"},"agentCount":{"type":"integer"},"itemCount":{"type":"integer"},"macroCount":{"type":"integer"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"deletedAt":{"type":"string"},"lastUsed":{"type":"object","properties":{"addedToItemAt":{"type":"string","nullable":true},"addedToItemId":{"type":"string","format":"uuid","nullable":true},"removedFromItemAt":{"type":"string","nullable":true},"removedFromItemId":{"type":"string","format":"uuid","nullable":true}}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.","type":"string"},"total":{"description":"The total number of results across all pages.","type":"integer"}},"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/tags":{"get":{"description":"Retrieve a list of all tags associated with a specific category.","operationId":"listTags","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"},{"$ref":"#/components/parameters/queryTagName"},{"$ref":"#/components/parameters/queryTagNameExact"},{"$ref":"#/components/parameters/queryTagCategoryId"},{"$ref":"#/components/parameters/queryTagStatus"},{"$ref":"#/components/parameters/queryTagIncludeDeleted"},{"$ref":"#/components/parameters/queryTagSortBy"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TagList"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"List tags","tags":["tag"]}}}}
```

## Create new tag

> Create a new tag within a specific category

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Tags are used to be associated with different entities, like agents and feed items.","name":"tag"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateTag":{"type":"object","additionalProperties":false,"required":["name","status"],"properties":{"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active"]},"categoryId":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/tags":{"post":{"description":"Create a new tag within a specific category","operationId":"createTag","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTag"}}}},"responses":{"201":{"description":"created"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create new tag","tags":["tag"]}}}}
```

## Get tag

> Retrieve information about a specific tag, including its name, category id.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Tags are used to be associated with different entities, like agents and feed items.","name":"tag"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"Tag":{"type":"object","additionalProperties":true,"required":["id","name","description","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active","deleted"]},"category":{"$ref":"#/components/schemas/TagCategory"},"agentCount":{"type":"integer"},"itemCount":{"type":"integer"},"macroCount":{"type":"integer"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"deletedAt":{"type":"string"},"lastUsed":{"type":"object","properties":{"addedToItemAt":{"type":"string","nullable":true},"addedToItemId":{"type":"string","format":"uuid","nullable":true},"removedFromItemAt":{"type":"string","nullable":true},"removedFromItemId":{"type":"string","format":"uuid","nullable":true}}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/tags/{tagId}":{"get":{"description":"Retrieve information about a specific tag, including its name, category id.","operationId":"getTag","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get tag","tags":["tag"]}}}}
```

## Update tag

> Modify the details of a specific tag, such as its name.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Tags are used to be associated with different entities, like agents and feed items.","name":"tag"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateTag":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active"]},"categoryId":{"nullable":true,"type":"string"}}},"Tag":{"type":"object","additionalProperties":true,"required":["id","name","description","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active","deleted"]},"category":{"$ref":"#/components/schemas/TagCategory"},"agentCount":{"type":"integer"},"itemCount":{"type":"integer"},"macroCount":{"type":"integer"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"deletedAt":{"type":"string"},"lastUsed":{"type":"object","properties":{"addedToItemAt":{"type":"string","nullable":true},"addedToItemId":{"type":"string","format":"uuid","nullable":true},"removedFromItemAt":{"type":"string","nullable":true},"removedFromItemId":{"type":"string","format":"uuid","nullable":true}}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/tags/{tagId}":{"patch":{"description":"Modify the details of a specific tag, such as its name.","operationId":"updateTag","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTag"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tag"}}},"description":"updated"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Update tag","tags":["tag"]}}}}
```

## Delete tag

> Remove a specific tag.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Tags are used to be associated with different entities, like agents and feed items.","name":"tag"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/tags/{tagId}":{"delete":{"description":"Remove a specific tag.","operationId":"deleteTag","responses":{"204":{"description":"Deleted"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete tag","tags":["tag"]}}}}
```

## List Item Tags

> Retrieve a list of tags associated with a specific feed item.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":100,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}},"pagination.param.reverse":{"description":"Reverses the order in which the results are returned.","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"ItemTagList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/ItemTag"}}}},"ItemTag":{"type":"object","additionalProperties":false,"required":["itemId","tag","createdAt"],"properties":{"itemId":{"type":"string"},"tag":{"$ref":"#/components/schemas/Tag"},"createdAt":{"type":"string","format":"date-time"}}},"Tag":{"type":"object","additionalProperties":true,"required":["id","name","description","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active","deleted"]},"category":{"$ref":"#/components/schemas/TagCategory"},"agentCount":{"type":"integer"},"itemCount":{"type":"integer"},"macroCount":{"type":"integer"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"deletedAt":{"type":"string"},"lastUsed":{"type":"object","properties":{"addedToItemAt":{"type":"string","nullable":true},"addedToItemId":{"type":"string","format":"uuid","nullable":true},"removedFromItemAt":{"type":"string","nullable":true},"removedFromItemId":{"type":"string","format":"uuid","nullable":true}}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"pagination":{"properties":{"nextPageToken":{"description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.","type":"string"},"total":{"description":"The total number of results across all pages.","type":"integer"}},"type":"object"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/tags":{"get":{"description":"Retrieve a list of tags associated with a specific feed item.","operationId":"listItemTags","parameters":[{"$ref":"#/components/parameters/pagination.param.limit"},{"$ref":"#/components/parameters/pagination.param.pageToken"},{"$ref":"#/components/parameters/pagination.param.reverse"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ItemTagList"},{"$ref":"#/components/schemas/pagination"}]}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"List Item Tags","tags":["itemTag"]}}}}
```

## Create Item Tag

> Associate a new tag with a specific feed item, categorizing and labeling it based on specific attributes.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CreateItemTag":{"type":"object","additionalProperties":false,"properties":{"tagId":{"type":"string","nullable":true,"format":"uuid","deprecated":true},"tagIds":{"type":"array","nullable":true,"maxItems":10,"items":{"type":"string","format":"uuid"}}}},"CreateItemTagResult":{"type":"array","items":{"$ref":"#/components/schemas/ItemTag"}},"ItemTag":{"type":"object","additionalProperties":false,"required":["itemId","tag","createdAt"],"properties":{"itemId":{"type":"string"},"tag":{"$ref":"#/components/schemas/Tag"},"createdAt":{"type":"string","format":"date-time"}}},"Tag":{"type":"object","additionalProperties":true,"required":["id","name","description","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active","deleted"]},"category":{"$ref":"#/components/schemas/TagCategory"},"agentCount":{"type":"integer"},"itemCount":{"type":"integer"},"macroCount":{"type":"integer"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"deletedAt":{"type":"string"},"lastUsed":{"type":"object","properties":{"addedToItemAt":{"type":"string","nullable":true},"addedToItemId":{"type":"string","format":"uuid","nullable":true},"removedFromItemAt":{"type":"string","nullable":true},"removedFromItemId":{"type":"string","format":"uuid","nullable":true}}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."},"error.response.conflict":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The request conflicts with the current state of the resource."},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/tags":{"post":{"description":"Associate a new tag with a specific feed item, categorizing and labeling it based on specific attributes.","operationId":"createItemTag","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateItemTag"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateItemTagResult"}}},"description":"Created"},"404":{"$ref":"#/components/responses/error.response.not_found"},"409":{"$ref":"#/components/responses/error.response.conflict"},"422":{"$ref":"#/components/responses/error.response.invalid_request"}},"summary":"Create Item Tag","tags":["itemTag"]}}}}
```

## Get Item Tag

> Retrieve information about a specific tag associated with an feed item.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"ItemTag":{"type":"object","additionalProperties":false,"required":["itemId","tag","createdAt"],"properties":{"itemId":{"type":"string"},"tag":{"$ref":"#/components/schemas/Tag"},"createdAt":{"type":"string","format":"date-time"}}},"Tag":{"type":"object","additionalProperties":true,"required":["id","name","description","status","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":1,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"status":{"type":"string","enum":["draft","active","deleted"]},"category":{"$ref":"#/components/schemas/TagCategory"},"agentCount":{"type":"integer"},"itemCount":{"type":"integer"},"macroCount":{"type":"integer"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"deletedAt":{"type":"string"},"lastUsed":{"type":"object","properties":{"addedToItemAt":{"type":"string","nullable":true},"addedToItemId":{"type":"string","format":"uuid","nullable":true},"removedFromItemAt":{"type":"string","nullable":true},"removedFromItemId":{"type":"string","format":"uuid","nullable":true}}}}},"TagCategory":{"type":"object","additionalProperties":false,"required":["id","name","description","emoji","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","pattern":"^([a-zA-Z0-9-_]+\\s)*[a-zA-Z0-9-_]+$","minLength":3,"maxLength":25},"description":{"type":"string","pattern":"^(\\S.*\\S|\\S)*$","maxLength":1024},"icon":{"type":"string","enum":["none","language","product","location","intent","department"],"deprecated":true},"emoji":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/tags/{tagId}":{"get":{"description":"Retrieve information about a specific tag associated with an feed item.","operationId":"getItemTag","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemTag"}}},"description":"OK"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Get Item Tag","tags":["itemTag"]}}}}
```

## Delete Item Tag

> Remove a specific tag associated with an item.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"responses":{"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}},"schemas":{"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}}},"paths":{"/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/tags/{tagId}":{"delete":{"description":"Remove a specific tag associated with an item.","operationId":"deleteItemTag","responses":{"204":{"description":"Deleted"},"404":{"$ref":"#/components/responses/error.response.not_found"}},"summary":"Delete Item Tag","tags":["itemTag"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/collaborations-api/api-reference/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
